import request from '@/utils/request'

export function listStockCount(query) {
  return request({
    url: '/warehouse-stockCount/page',
    method: 'get',
    params: query
  })
}

export function executeStockCount(query) {
  return request({
    url: '/warehouse-stockCount/execute',
    method: 'post',
    params: query
  })
}

export function createStockCount(data) {
  return request({
    url: '/warehouse-stockCount/add',
    method: 'post',
    data
  })
}

export function readStockCount(query) {
  return request({
    url: '/warehouse-stockCount/info',
    method: 'get',
    params: query
  })
}

export function updateStockCount(data) {
  return request({
    url: '/warehouse-stockCount/edit',
    method: 'post',
    data
  })
}

export function deleteStockCount(query) {
  return request({
    url: '/warehouse-stockCount/remove',
    method: 'post',
    params: query
  })
}
